# Class: covariates_model

## ext/lz-widget-addons~covariates_model(layout)

Special button/menu to allow model building by tracking individual covariants. Will track a list of covariate objects and store them in the special `model.covariates` field of plot `state`.

This is a prototype widget for building a conditional analysis model, but it performs no calculation functionality beyond building a list of items.

## Constructor

#### new covariates_model(layout)

##### Parameters:

Name | Type | Description
--- | --- | ---
`layout` | object | ###### Properties
Name | Type | Description
--- | --- | ---
`button_html` | string | The HTML to render inside the button
`button_title` | string | Text to display as a tooltip when hovering over the button

Source:
  - ext/lz-widget-addons.js, line 60
See:
  - module:LocusZoom_Widgets~BaseWidget